Products

Stay-to-Play Underwrite Event

POST
/v1/products/stay-to-play/events/underwrite

Underwrite a stay-to-play event and retrieve a rate for the event coverage

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/products/stay-to-play/events/underwrite" \  -H "Content-Type: application/json" \  -d '{    "event": {      "name": "string",      "type": "INDOOR",      "address": "string",      "city": "string",      "state": "MN",      "postal_code": "string",      "country": "US",      "start_date": "2019-08-24",      "end_date": "2019-08-24"    }  }'
{  "rate": 0.1,  "description": "string",  "peril_heading": "string",  "perils": [    "string"  ],  "descriptors": [    "string"  ],  "promotional_header": "string",  "promotional_description": "string",  "accept_action_text": "string",  "decline_action_text": "string",  "legal_disclaimer": "string",  "privacy_policy_url": "string",  "terms_conditions_url": "string",  "additional_policy_purchase_email_message": "string",  "layout": "string"}